Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 3e5648b0f738718f823af66d5095c1cc74103d39)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -11,9 +11,12 @@
 
 
-import wx
 import sys
 import math
+import logging
+
+import wx
 import numpy as np
-import logging
+from matplotlib.font_manager import FontProperties
+
 from sas.sasgui.plottools.PlotPanel import PlotPanel
 from sas.sasgui.plottools.plottables import Graph
@@ -24,9 +27,10 @@
 from sas.sasgui.guiframe.events import SlicerEvent
 from sas.sasgui.guiframe.utils import PanelMenu
-from  sas.sasgui.guiframe.local_perspectives.plotting.binder import BindArtist
-from Plotter1D import ModelPanel1D
+from sas.sasgui.guiframe.local_perspectives.plotting.binder import BindArtist
 from sas.sasgui.plottools.toolbar import NavigationToolBar
-from matplotlib.font_manager import FontProperties
-from graphAppearance import graphAppearance
+
+from .Plotter1D import ModelPanel1D
+from .graphAppearance import graphAppearance
+
 (InternalEvent, EVT_INTERNAL) = wx.lib.newevent.NewEvent()
 
@@ -41,5 +45,5 @@
 def find_key(dic, val):
     """return the key of dictionary dic given the value"""
-    return [k for k, v in dic.iteritems() if v == val][0]
+    return [k for k, v in dic.items() if v == val][0]
 
 
@@ -200,5 +204,5 @@
         ## Update self.data2d with the current plot
         self.data2D = data
-        if data.id in self.plots.keys():
+        if data.id in self.plots:
             #replace
             xlo, xhi = self.subplot.get_xlim()
@@ -326,7 +330,7 @@
                         slicerpop.Append(wx_id, item[0], item[1])
                         wx.EVT_MENU(self, wx_id, item[2])
-                    except:
+                    except Exception as exc:
                         msg = "ModelPanel1D.onContextMenu: "
-                        msg += "bad menu item  %s" % sys.exc_value
+                        msg += "bad menu item  %s" % exc
                         wx.PostEvent(self.parent, StatusEvent(status=msg))
                 slicerpop.AppendSeparator()
@@ -447,5 +451,5 @@
 
         """
-        import detector_dialog
+        from . import detector_dialog
         dialog = detector_dialog.DetectorDialog(self, -1, base=self.parent,
                                                 reset_zmin_ctl=self.default_zmin_ctl,
@@ -630,5 +634,5 @@
         """
         if self.slicer is not None:
-            from parameters_panel_slicer import SlicerParameterPanel
+            from .parameters_panel_slicer import SlicerParameterPanel
             dialog = SlicerParameterPanel(self, -1, "Slicer Parameters")
             dialog.set_slicer(self.slicer.__class__.__name__,
@@ -641,5 +645,5 @@
         Perform sector averaging on Q and draw sector slicer
         """
-        from SectorSlicer import SectorInteractor
+        from .SectorSlicer import SectorInteractor
         self.onClearSlicer(event)
         wx.PostEvent(self, InternalEvent(slicer=SectorInteractor))
@@ -649,5 +653,5 @@
         Perform sector averaging on Phi and draw annulus slicer
         """
-        from AnnulusSlicer import AnnulusInteractor
+        from .AnnulusSlicer import AnnulusInteractor
         self.onClearSlicer(event)
         wx.PostEvent(self, InternalEvent(slicer=AnnulusInteractor))
@@ -657,5 +661,5 @@
         """
         from sas.sasgui.guiframe.gui_manager import MDIFrame
-        from boxSum import BoxSum
+        from .boxSum import BoxSum
         self.onClearSlicer(event)
         self.slicer_z += 1
@@ -668,5 +672,5 @@
         params = self.slicer.get_params()
         ## Create a new panel to display results of summation of Data2D
-        from parameters_panel_boxsum import SlicerPanel
+        from .parameters_panel_boxsum import SlicerPanel
         win = MDIFrame(self.parent, None, 'None', (100, 200))
         new_panel = SlicerPanel(parent=win, id=-1,
@@ -699,5 +703,5 @@
         :param event: wx.menu event
         """
-        from boxSlicer import BoxInteractorX
+        from .boxSlicer import BoxInteractorX
         self.onClearSlicer(event)
         wx.PostEvent(self, InternalEvent(slicer=BoxInteractorX))
@@ -711,5 +715,5 @@
 
         """
-        from boxSlicer import BoxInteractorY
+        from .boxSlicer import BoxInteractorY
         self.onClearSlicer(event)
         wx.PostEvent(self, InternalEvent(slicer=BoxInteractorY))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 8de66b66b52c8e66ba582290c53d3257a6fa6401)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -3,6 +3,7 @@
 """
 import math
+
 import wx
-from BaseInteractor import _BaseInteractor
+
 from sas.sasgui.guiframe.events import NewPlotEvent
 from sas.sasgui.guiframe.events import StatusEvent
@@ -10,4 +11,6 @@
 from sas.sasgui.guiframe.events import EVT_SLICER_PARS
 from sas.sasgui.guiframe.dataFitting import Data1D
+
+from .BaseInteractor import _BaseInteractor
 
 
@@ -238,5 +241,5 @@
             msg = "Phi left and phi right are different"
             msg += " %f, %f" % (self.left_line.phi, self.right_line.phi)
-            raise ValueError, msg
+            raise ValueError(msg)
         params["Phi [deg]"] = self.main_line.theta * 180 / math.pi
         params["Delta_Phi [deg]"] = math.fabs(self.left_line.phi * 180 / math.pi)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/appearanceDialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/appearanceDialog.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/appearanceDialog.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -153,5 +153,5 @@
         Populate Symbols
         """
-        self.sorted_symbo_labels = sorted(self.symbo_labels.iteritems(),
+        self.sorted_symbo_labels = sorted(self.symbo_labels.items(),
                                           key=operator.itemgetter(1))
         self.sorted_sym_dic = {}
@@ -166,5 +166,5 @@
         Populate Colors
         """
-        sortedcolor_labels = sorted(self.color_labels.iteritems(),
+        sortedcolor_labels = sorted(self.color_labels.items(),
                                     key=operator.itemgetter(1))
         for color in sortedcolor_labels:
@@ -197,5 +197,5 @@
         Find key
         """
-        return [k for k, v in dic.iteritems() if v == val][0]
+        return [k for k, v in dic.items() if v == val][0]
 
     def get_current_values(self):
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -2,6 +2,8 @@
 Extension to MPL to support the binding of artists to key/mouse events.
 """
+from __future__ import print_function
+
+import sys
 import logging
-import sys
 
 logger = logging.getLogger(__name__)
@@ -16,4 +18,5 @@
     artist = None
     prop = {}
+
     def __init__(self, artist=None, prop={}):
         self.artist, self.prop = artist, self.prop
@@ -25,15 +28,18 @@
         return self.artist is not other.artist
 
-    def __nonzero__(self):
+    def __bool__(self):
         return self.artist is not None
+
+    __nonzero__ = __bool__
+
 
 class BindArtist(object):
     """
-        Track keyboard modifiers for events.
-        TODO: Move keyboard modifier support into the backend.  We cannot
-        TODO: properly support it from outside the windowing system since there
-        TODO: is no way to recognized whether shift is held down when the mouse
-        TODO: first clicks on the the application window.
+    Track keyboard modifiers for events.
     """
+    # TODO: Move keyboard modifier support into the backend.  We cannot
+    # TODO: properly support it from outside the windowing system since there
+    # TODO: is no way to recognized whether shift is held down when the mouse
+    # TODO: first clicks on the the application window.
     control, shift, alt, meta = False, False, False, False
 
@@ -46,6 +52,8 @@
               'scroll', 'key', 'keyup']
     # TODO: Need our own event structure
+
     def __init__(self, figure):
         canvas = figure.canvas
+
         # Link to keyboard/mouse
         try:
@@ -59,5 +67,5 @@
             ]
         except:
-            # print "bypassing scroll_event: wrong matplotlib version"
+            logger.warn("bypassing scroll_event: wrong matplotlib version")
             self._connections = [
                 canvas.mpl_connect('motion_notify_event', self._onMotion),
@@ -67,10 +75,14 @@
                 canvas.mpl_connect('key_release_event', self._onKeyRelease),
             ]
+
         # Turn off picker if it hasn't already been done
         try:
             canvas.mpl_disconnect(canvas.button_pick_id)
             canvas.mpl_disconnect(canvas.scroll_pick_id)
-        except:
-            logger.error(sys.exc_value)
+        except Exception as exc:
+            logger.error(exc)
+
+        self._current = None
+        self._actions = {}
         self.canvas = canvas
         self.figure = figure
@@ -83,5 +95,4 @@
 
         Use clearall() to reset all connections.
-
         """
         for h in artists:
@@ -108,4 +119,5 @@
         for action in self.events:
             self._actions[action] = {}
+
         # Need activity state
         self._artists = []
@@ -121,6 +133,6 @@
             for cid in self._connections:
                 self.canvas.mpl_disconnect(cid)
-        except:
-            pass
+        except Exception as exc:
+            logger.error("Error disconnection canvas: %s" % exc)
         self._connections = []
 
@@ -169,28 +181,26 @@
         sure it applies.  E.g., the callback for 'press' might be:
             if event.button == 1 and event.shift: process Shift-click
-
-        :TODO: Only receive events with the correct modifiers (e.g., S-click,
-        :TODO:   or *-click for any modifiers).
-        :TODO: Only receive button events for the correct button (e.g., click1
-        :TODO:   release3, or dclick* for any button)
-        :TODO: Support virtual artist, so that and artist can be flagged as
-        :TODO:   having a tag list and receive the correct events
-        :TODO: Support virtual events for binding to button-3 vs shift button-1
-        :TODO:   without changing callback code
-        :TODO: Attach multiple callbacks to the same event?
-        :TODO: Clean up interaction with toolbar modes
-        :TODO: push/pushclear/pop context so that binding changes
-            for the duration
-        :TODO:   e.g., to support ? context sensitive help
-
-        """
+        """
+        #TODO: Only receive events with the correct modifiers (e.g., S-click,
+        #TODO:   or *-click for any modifiers).
+        #TODO: Only receive button events for the correct button (e.g., click1
+        #TODO:   release3, or dclick* for any button)
+        #TODO: Support virtual artist, so that and artist can be flagged as
+        #TODO:   having a tag list and receive the correct events
+        #TODO: Support virtual events for binding to button-3 vs shift button-1
+        #TODO:   without changing callback code
+        #TODO: Attach multiple callbacks to the same event?
+        #TODO: Clean up interaction with toolbar modes
+        #TODO: push/pushclear/pop context so that binding changes for the duration
+        #TODO:   e.g., to support ? context sensitive help
+
         # Check that the trigger is valid
         if trigger not in self._actions:
-            raise ValueError, "%s invalid --- valid triggers are %s" \
-                % (trigger, ", ".join(self.events))
+            raise ValueError("%s invalid --- valid triggers are %s"
+                % (trigger, ", ".join(self.events)))
+
         # Register the trigger callback
         self._actions[trigger][artist] = action
-        # print "==> added",artist,[artist],"to",trigger,":",
-        # self._actions[trigger].keys()
+
         # Maintain a list of all artists
         if artist not in self._artists:
@@ -203,5 +213,6 @@
         """
         if action not in self.events:
-            raise ValueError, "Trigger expects " + ", ".join(self.events)
+            raise ValueError("Trigger expects " + ", ".join(self.events))
+
         # Tag the event with modifiers
         for mod in ('alt', 'control', 'shift', 'meta'):
@@ -210,4 +221,5 @@
         setattr(ev, 'action', action)
         setattr(ev, 'prop', {})
+
         # Fallback scheme. If the event does not return false, pass to parent.
         processed = False
@@ -233,8 +245,6 @@
         """
         # TODO: sort by zorder of axes then by zorder within axes
-        self._artists.sort(cmp=lambda x, y: cmp(y.zorder, x.zorder))
-        # print "search"," ".join([str(h) for h in self._artists])
+        self._artists.sort(key=lambda x: x.zorder, reverse=True)
         found = Selection()
-        # print "searching in",self._artists
         for artist in self._artists:
             # TODO: should contains() return false if invisible?
@@ -250,5 +260,4 @@
                 found.artist, found.prop = artist, prop
                 break
-        # print "found",found.artist
 
         # TODO: how to check if prop is equal?
@@ -257,4 +266,5 @@
             self.trigger(found, 'enter', event)
         self._current = found
+
         return found
 
@@ -274,16 +284,15 @@
 
             transform = self._hasclick.artist.get_transform()
-            # x,y = event.xdata,event.ydata
+            #x,y = event.xdata,event.ydata
             x, y = event.x, event.y
             try:
                 x, y = transform.inverted().transform_point((x, y))
-
-            except:
+            except: # CRUFT: matplotlib-0.91 support
                 x, y = transform.inverse_xy_tup((x, y))
+
             event.xdata, event.ydata = x, y
             self.trigger(self._hasclick, 'drag', event)
         else:
             found = self._find_current(event)
-            # print "found",found.artist
             self.trigger(found, 'motion', event)
 
@@ -296,7 +305,4 @@
         # Check for double-click
         event_time = time.time()
-        # print event_time,self._last_time,self.dclick_threshhold
-        # print (event_time > self._last_time + self.dclick_threshhold)
-        # print event.button,self._last_button
         if (event.button != self._last_button) or \
                 (event_time > self._last_time + self.dclick_threshhold):
@@ -381,4 +387,5 @@
             setattr(self, event.key, False)
             return
+
         if self._haskey:
             self.trigger(self._haskey, 'keyup', event)
@@ -391,3 +398,2 @@
         found = self._find_current(event)
         self.trigger(found, 'scroll', event)
-
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,7 +1,7 @@
 import math
-from BaseInteractor import _BaseInteractor
-from boxSum import PointInteractor
-from boxSum import VerticalDoubleLine
-from boxSum import HorizontalDoubleLine
+from .BaseInteractor import _BaseInteractor
+from .boxSum import PointInteractor
+from .boxSum import VerticalDoubleLine
+from .boxSum import HorizontalDoubleLine
 
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,11 +1,14 @@
+import math
+
 import wx
-import math
 import numpy as np
+
 from sas.sasgui.guiframe.events import NewPlotEvent
 from sas.sasgui.guiframe.events import StatusEvent
 from sas.sasgui.guiframe.events import SlicerParameterEvent
 from sas.sasgui.guiframe.events import EVT_SLICER_PARS
-from BaseInteractor import _BaseInteractor
 from sas.sasgui.guiframe.dataFitting import Data1D
+
+from .BaseInteractor import _BaseInteractor
 
 
@@ -152,5 +155,5 @@
             if new_slab is None:
                 msg = "post data:cannot average , averager is empty"
-                raise ValueError, msg
+                raise ValueError(msg)
             self.averager = new_slab
         if self.direction == "X":
@@ -168,5 +171,5 @@
         else:
             msg = "post data:no Box Average direction was supplied"
-            raise ValueError, msg
+            raise ValueError(msg)
         # # Average data2D given Qx or Qy
         box = self.averager(x_min=x_min, x_max=x_max, y_min=y_min, y_max=y_max,
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -4,9 +4,12 @@
 """
 import math
+
 import wx
-from BaseInteractor import _BaseInteractor
+
 from sas.sasgui.guiframe.events import SlicerParamUpdateEvent
 from sas.sasgui.guiframe.events import EVT_SLICER_PARS
 from sas.sasgui.guiframe.events import StatusEvent
+
+from .BaseInteractor import _BaseInteractor
 
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -99,6 +99,6 @@
             self.cmap_selector.SetStringSelection("jet")
             self._on_select_cmap(event=None)
-        except:
-            msg = "error occurs while resetting Detector: %s" % sys.exc_value
+        except Exception as exc:
+            msg = "error occurs while resetting Detector: %s" % exc
             wx.PostEvent(self.parent, StatusEvent(status=msg))
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -18,22 +18,25 @@
 
 # #Todo: cleaning up, improving the maskplotpanel initialization, and testing.
-import wx
 import sys
 import time
-import matplotlib.cm as cm
 import math
 import copy
+from functools import partial
+
+import wx
 import numpy as np
+import matplotlib.cm as cm
+
 from sas.sasgui.plottools.PlotPanel import PlotPanel
 from sas.sasgui.plottools.plottables import Graph
-from binder import BindArtist
 from sas.sasgui.guiframe.dataFitting import Data1D, Data2D
-from boxMask import BoxMask
-from sector_mask import SectorMask
-from AnnulusSlicer import CircularMask
-
 from sas.sasgui.guiframe.events import SlicerEvent
 from sas.sasgui.guiframe.events import StatusEvent
-from functools import partial
+
+from .binder import BindArtist
+from .boxMask import BoxMask
+from .sector_mask import SectorMask
+from .AnnulusSlicer import CircularMask
+
 
 (InternalEvent, EVT_INTERNAL) = wx.lib.newevent.NewEvent()
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_boxsum.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_boxsum.py	(revision 37d461c81bb3405cd6efc6bdadfe0ecd6dc5b338)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_boxsum.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,5 +1,5 @@
 import wx
 import wx.lib.newevent
-from parameters_panel_slicer import SlicerParameterPanel
+
 from sas.sasgui.guiframe.utils import format_number
 from sas.sasgui.guiframe.panel_base import PanelBase
@@ -7,4 +7,5 @@
                                         EVT_SLICER)
 
+from .parameters_panel_slicer import SlicerParameterPanel
 
 class SlicerPanel(wx.Panel, PanelBase):
@@ -64,6 +65,5 @@
             n = 1
             self.parameters = []
-            keys = params.keys()
-            keys.sort()
+            keys = list(sorted(params.keys()))
             for item in keys:
                 if not item.lower() in ["num_points", "avg", "avg_error", "sum",
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py	(revision a20a25573879c0953c15607f10eb7cf47e80c047)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -2,11 +2,15 @@
 
 import os
+
 import wx
 import wx.lib.newevent
+
 from sas.sascalc.dataloader.readers.cansas_reader import Reader
 from sas.sasgui.guiframe.utils import format_number
 from sas.sasgui.guiframe.events import EVT_SLICER_PARS, EVT_SLICER
 from sas.sasgui.guiframe.events import SlicerParameterEvent, StatusEvent
-from Plotter2D import ModelPanel2D
+
+from .Plotter2D import ModelPanel2D
+
 apply_params, EVT_APPLY_PARAMS = wx.lib.newevent.NewEvent()
 save_files, EVT_AUTO_SAVE = wx.lib.newevent.NewEvent()
@@ -100,6 +104,5 @@
             iy = 1
             self.parameters = []
-            keys = params.keys()
-            keys.sort()
+            keys = list(sorted(params.keys()))
             for item in keys:
                 ix = 0
@@ -127,5 +130,5 @@
                     self.bck.Add(text, (iy, ix), (1, 1),
                                  wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
-                    options = BINNING_OPTIONS.keys()
+                    options = list(BINNING_OPTIONS.keys())
                     self.bin_ctl = wx.ComboBox(parent=self, choices=options)
                     hint_msg = "Modify the value of %s to change" % item
@@ -325,5 +328,5 @@
 
         # Find desired 2D data panels
-        for key, mgr in spp.plot_panels.iteritems():
+        for key, mgr in spp.plot_panels.items():
             if mgr.graph.prop['title'] in self.data_list.CheckedStrings:
                 apply_to_list.append(mgr)
@@ -377,5 +380,5 @@
         self.loaded_data = []
         # Iterate over the loaded plots and find all 2D panels
-        for key, value in self.main_window.plot_panels.iteritems():
+        for key, value in self.main_window.plot_panels.items():
             if isinstance(value, ModelPanel2D):
                 self.loaded_data.append(value.data2D.name)
@@ -453,5 +456,5 @@
 
         # Find the correct plots to save
-        for key, plot in self.main_window.plot_panels.iteritems():
+        for key, plot in self.main_window.plot_panels.items():
             if not hasattr(plot, "data2D"):
                 for item in plot.plots:
@@ -461,5 +464,5 @@
 
         # Save files as Text
-        for item, data1d in data_dic.iteritems():
+        for item, data1d in data_dic.items():
             base = '.'.join(item.split('.')[:-1])
             file_name = base + append + ".txt"
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 2d9526dfda3bdfe3c9159ab7d9db8399b4a00848)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -12,7 +12,9 @@
 ################################################################################
 
-import wx
 import sys
 from copy import deepcopy
+
+import wx
+
 from sas.sasgui.guiframe.events import EVT_NEW_PLOT
 from sas.sasgui.guiframe.events import EVT_PLOT_QRANGE
@@ -23,4 +25,5 @@
 from sas.sasgui.guiframe.dataFitting import Data2D
 from sas.sasgui.guiframe.gui_manager import MDIFrame
+
 DEFAULT_MENU_ITEM_LABEL = "No graph available"
 DEFAULT_MENU_ITEM_ID = wx.NewId()
@@ -91,7 +94,7 @@
         if event is None:
             return
-        if event.id in self.plot_panels.keys():
+        if event.id in self.plot_panels:
             panel = self.plot_panels[event.id]
-        elif event.group_id in self.plot_panels.keys():
+        elif event.group_id in self.plot_panels:
             panel = self.plot_panels[event.group_id]
         else:
@@ -102,7 +105,7 @@
         if event is None:
             return
-        if event.id in self.plot_panels.keys():
+        if event.id in self.plot_panels:
             panel = self.plot_panels[event.id]
-        elif event.group_id in self.plot_panels.keys():
+        elif event.group_id in self.plot_panels:
             panel = self.plot_panels[event.group_id]
         else:
@@ -123,5 +126,5 @@
         """
 
-        if group_id in self.plot_panels.keys():
+        if group_id in self.plot_panels:
             panel = self.plot_panels[group_id]
             panel.remove_data_by_id(id=id)
@@ -134,5 +137,5 @@
         Clear and Hide all plot panels, and remove them from menu
         """
-        for group_id in self.plot_panels.keys():
+        for group_id in self.plot_panels:
             self.clear_panel_by_id(group_id)
         self.plot_panels = {}
@@ -142,5 +145,5 @@
         clear the graph
         """
-        if group_id in self.plot_panels.keys():
+        if group_id in self.plot_panels:
             panel = self.plot_panels[group_id]
             for plottable in panel.graph.plottables.keys():
@@ -184,5 +187,5 @@
         # Create a new plot panel if none was available
         if issubclass(data.__class__, Data1D):
-            from Plotter1D import ModelPanel1D
+            from .Plotter1D import ModelPanel1D
             ## get the data representation label of the data to plot
             ## when even the user select "change scale"
@@ -200,5 +203,5 @@
 
         msg = "1D Panel of group ID %s could not be created" % str(group_id)
-        raise ValueError, msg
+        raise ValueError(msg)
 
     def create_2d_panel(self, data, group_id):
@@ -207,5 +210,5 @@
         if issubclass(data.__class__, Data2D):
             ##Create a new plotpanel for 2D data
-            from Plotter2D import ModelPanel2D
+            from .Plotter2D import ModelPanel2D
             scale = data.scale
             win = MDIFrame(self.parent, None, 'None', (200, 150))
@@ -218,5 +221,5 @@
             return new_panel
         msg = "2D Panel of group ID %s could not be created" % str(group_id)
-        raise ValueError, msg
+        raise ValueError(msg)
 
     def update_panel(self, data, panel):
@@ -238,5 +241,5 @@
             msg += " to panel %s\n" % str(panel.window_caption)
             msg += "Please edit %s's units, labels" % str(data.name)
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             if panel.group_id not in data.list_group_id:
@@ -247,5 +250,5 @@
         """
         """
-        if group_id in self.plot_panels.keys():
+        if group_id in self.plot_panels:
             panel = self.plot_panels[group_id]
             uid = panel.uid
@@ -254,5 +257,5 @@
                                               caption=panel.window_caption))
             del self.plot_panels[group_id]
-            if uid in self.parent.plot_panels.keys():
+            if uid in self.parent.plot_panels:
                 del self.parent.plot_panels[uid]
                 panel.frame.Destroy()
@@ -280,5 +283,5 @@
                     for data in event.plots:
                         for panel in self.plot_panels.values():
-                            if data.id in panel.plots.keys():
+                            if data.id in panel.plots:
                                 plot_exists = True
                                 # Pass each panel it's own copy of the data
@@ -310,8 +313,8 @@
         data = event.plot
         group_id = data.group_id
-        if group_id in self.plot_panels.keys():
+        if group_id in self.plot_panels:
             if action_check:
                 # Check if the plot already exist. if it does, do nothing.
-                if data.id in self.plot_panels[group_id].plots.keys():
+                if data.id in self.plot_panels[group_id].plots:
                     return
             #update a panel graph
@@ -327,5 +330,5 @@
                     for p_group_id in self.plot_panels.keys():
                         p_plot = self.plot_panels[p_group_id]
-                        if data.id in p_plot.plots.keys():
+                        if data.id in p_plot.plots:
                             p_plot.plots[data.id] = data
                             self.plot_panels[group_id] = p_plot
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -3,10 +3,12 @@
 """
 import math
+
 import wx
-#from copy import deepcopy
-from BaseInteractor import _BaseInteractor
-from SectorSlicer import SideInteractor
-from SectorSlicer import LineInteractor
+
 from sas.sasgui.guiframe.events import SlicerParameterEvent
+
+from .BaseInteractor import _BaseInteractor
+from .SectorSlicer import SideInteractor
+from .SectorSlicer import LineInteractor
 
 class SectorMask(_BaseInteractor):
@@ -175,5 +177,5 @@
             msg += "different %f, %f" % (self.left_line.phi,
                                          self.right_line.phi)
-            raise ValueError, msg
+            raise ValueError(msg)
         params["Phi"] = self.main_line.theta
         params["Delta_Phi"] = math.fabs(self.left_line.phi)
Index: src/sas/sasgui/guiframe/plugin_base.py
===================================================================
--- src/sas/sasgui/guiframe/plugin_base.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/guiframe/plugin_base.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -112,5 +112,5 @@
         Load  data
         """
-        raise NotImplementedError
+        raise NotImplementedError()
 
     def load_folder(self, event):
@@ -118,5 +118,5 @@
         Load entire folder
         """
-        raise NotImplementedError
+        raise NotImplementedError()
 
     def set_is_active(self, active=False):
@@ -277,5 +277,5 @@
         """
         msg = "%s plugin: does not support import theory" % str(self.sub_menu)
-        raise ValueError, msg
+        raise ValueError(msg)
 
     def on_set_state_helper(self, event):
